CMSIS-DSP: Vector bitwise inclusive OR

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector bitwise inclusive OR
Basic Math Functions

## Functions

void | arm_or_u16 (const uint16_t *pSrcA, const uint16_t *pSrcB, uint16_t *pDst, uint32_t blockSize)
| Compute the logical bitwise OR of two fixed-point vectors. More...
void | arm_or_u32 (const uint32_t *pSrcA, const uint32_t *pSrcB, uint32_t *pDst, uint32_t blockSize)
| Compute the logical bitwise OR of two fixed-point vectors. More...
void | arm_or_u8 (const uint8_t *pSrcA, const uint8_t *pSrcB, uint8_t *pDst, uint32_t blockSize)
| Compute the logical bitwise OR of two fixed-point vectors. More...

## Description

Compute the logical bitwise OR.

There are separate functions for uint32_t, uint16_t, and uint8_t data types.

## Function Documentation

void arm_or_u16 | ( | const uint16_t * | pSrcA,
|  | const uint16_t * | pSrcB,
|  | uint16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | points to input vector A
  [in] | pSrcB | points to input vector B
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_or_u32 | ( | const uint32_t * | pSrcA,
|  | const uint32_t * | pSrcB,
|  | uint32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | points to input vector A
  [in] | pSrcB | points to input vector B
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_or_u8 | ( | const uint8_t * | pSrcA,
|  | const uint8_t * | pSrcB,
|  | uint8_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | points to input vector A
  [in] | pSrcB | points to input vector B
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none